<?php
// Note: rename this file as "config.php" and edit to configure
// Centova Cast.

// Set this to true if using the setuid 'runascc' binary
// (and associated 'spawn' binary), otherwise set it to false.
define('USE_RUNASCC',false);

// Use these settings to use Centova Cast's daemon instead of
// attempting to launch processes directly from the web server.
// This is necessary for suPHP servers.
define('USE_DAEMON',false);
define('DAEMON_HOST','127.0.0.1');
define('DAEMON_PORT',2199);

// Enter your database connection information.
define('DB_NAME','centovacast');
define('DB_USER','centovacast');
define('DB_PASS','secret');
define('DB_HOST','localhost');

// Enter the path to your CentovaCast installation root.  (This
// directory should contain your system/ and vhost/ directories.)
define('CAST_PATH','/home/centovacast/');

// Due to licensing restrictions we cannot distribute the free
// MiniCaster web-based audio player with Centova Cast.  However,
// you can download it from:
// http://www.draftlight.net/dnex/mp3player/minicaster/free/
//
// Then just upload the minicaster.swf file to your Centova Cast web
// root, uncomment the following line, and set it to the URI to
// minicaster.swf, eg:
//  define('MINICASTER_SWF','/minicaster.swf');
//
// This will instantly activate the web-based player on all of your
// clients' start pages and allow your clients' listeners to tune
// in using their web browsers.
define('MINICASTER_SWF','');

// Set the locale to use for Centova Cast's internationalization
// features.  Supported locales are stored under system/locale/.
define('LOCALE','en_US');


// ==== Advanced settings ================================================
// Enter the metadata format for use with ices-cc realtime track
// selection.  This will display in the listener's media player,
// the recent tracks list, and so-on.
// define('ICES_METADATA_FORMAT','%artist% - %album% (%releaseyear%) - %title% (%bitrate%kbps, %length% seconds)');

// Set the frequency (in hours) at which the logs for each account will
// be processed (to update the stats in the client control panels).
define('LOGPROCESS_FREQUENCY',12);

// Set the frequency (in hours) at which the logs for each account will
// be rotated.  For best performanc this should be identical to
// LOGPROCESS_FREQUENCY.
define('LOGROTATE_FREQUENCY',12);

// Sets the maximum number of archived log files to keep (i.e.,
// error.log.1, error.log.2, etc.) after the logs are rotated.
define('MAX_ARCHIVED_LOGS',4);

// if enabled, this Centova Cast installation will proxy API requests
// to the single sign-on servers configured in the admin area to
// balance the provisioning load
define('ENABLE_API_CLUSTERING',false);

// if enabled, the internal on-demand-media proxy will always be used
// instead of using ShoutCast's internal web server
define('FORCE_ONDEMAND_PROXY',false);

// if enabled, clients will be permitted to edit their own encoder settings
// (including sample rate, channels, and so-on)
define('CLIENT_ENCODER_SETTINGS',false);

// if enabled, clients will be permitted to edit their own bit rate limit
define('CLIENT_BITRATE_MODIFY',false);

// if enabled, the event scripts under /home/centovacast/system/scripts will
// be called in response to various events within Centova Cast
define('EVENT_SCRIPTS',false);

// if enabled, Centova Cast will follow symlinks when calculating disk space
// usage; otherwise, symlinks will be ignored
define('DISK_USAGE_SYMLINKS',true);

// if enabled, Centova Cast will follow symlinks when importing media into
// the user's media library; otherwise, symlinks will be ignored
define('INDEX_SYMLINKS',true);

// Set this to TRUE if self-referencing links (such as the link to the
// ShoutCast administration page, and the links to tune into the server)
// should use the hostname configured for the stream instead of its IP address.
// Note that enabling this WILL BREAK YOUR STREAMS if you have not correctly
// configured DNS for the hostnames you've specified.  DO NOT ENABLE THIS
// UNLESS YOU FULLY UNDERSTAND THE CONSEQUENCES OF DOING SO.
define('SELFREF_HOSTNAME',false);

// Set this to an IP address or hostname to override the hostname portion
// of all self-referencing links.  Note that before enabling this, you should
// ensure that:
// 1) All of your streams are configured to listen on the same IP address, and
// 2) The IP address or hostname below corresponds to the IP address on which
//    your streams are configured to listen.
// This may be useful for NAT configurations or to force a specific hostname
// for other purposes.
//
// Example: define('SELFREF_OVERRIDE','foo.example.com');
define('SELFREF_OVERRIDE','');

// By default, the disk usage graph at the top of the accounts page in the admin
// area is based on the free space on whichever partition holds your Centova Cast
// "vhosts" directory.
//
// If you need to check the space on another partition instead (e.g. if you use
// symlinks to reference media on another partition), specify the path to the
// alternate partition here.
define('MEDIA_PARTITION','');

// Specifies the maximum width and height for cover images shown on stream start
// pages.  Images will be resized to these dimensions.
define('COVER_MAX_WIDTH',50);
define('COVER_MAX_HEIGHT',43);

// Enables experimental portability mode; refer to:
// http://www.centova.com/pages/faqs/display/centova_cast_on_freebsd_55
define('PORTABLE',false);

// Limits identical song playbacks within a given period; refer to:
// https://secure.centova.com/pages/faqs/display/limiting_performances_of_a_95
define('RANDOM_UNIQUE_PERIOD',360); // minutes

// If enabled, users will be permitted to upload M3U playlists.  This option is
// disabled by default because it is NOT SUPPORTED IN ANY CAPACITY by Centova 
// Technologies.  Read this article before enabling:
// http://www.centova.com/pages/faqs/display/can_i_create_an_m3u_playlist_96
define('ALLOW_IMPORT_M3U',false);

// Controls whether Centova Cast will periodically retrieve news from
// centova.com to display in the admin area.
define('FETCH_NEWS',true);

// Controls how often Centova Cast will poll each streaming server for its
// state and current song title.  For performance reasons, values under 60
// seconds are not recommended.
define('SERVSTATE_CACHE_TIMEOUT',60);

// If enabled, the user's disk quota will only apply to files uploaded to the
// /home/centovacast/vhosts/USERNAME/var/spool/ directory and its subdirectories;
// any configuration files, log files, etc. will be excluded from the quota
define('QUOTA_SPOOL_ONLY',false);

// The new browse-by-folder feature in the media library has worked well in
// testing but is still new and considered experimental.  If you encounter
// problems and need to disable it, set this to true below.
define('DISABLE_FOLDER_VIEW',false);

// If a stream's autoDJ is set to "Permitted and enabled", and Centova Cast
// detects that an live DJ has used the "Deactivate source" option to
// temporarily turn off the autoDJ, but no source is connected, this option
// will cause Centova Cast to automatically restart the autoDJ.  This can be
// useful in case a live DJ disconnects and forgets to reactivate the autoDJ.
// Note that this will have NO EFFECT if the autoDJ is set to "Disabled", and
// is only checked when the cron job runs so the reactivation may be delayed.
define('AUTODJ_FAILSAFE',true);

// Setting this option to TRUE will circumvent ShoutCast DNAS' lack of support
// for muiltibyte character sets (such as Chinese).  Such characters will
// still display incorrectly on ShoutCast DNAS' status page, but will show up
// correctly in listeners' media players.
//define('SHOUTCAST_UTF8_PASSTHRU',false);
?>
